Bug 40277 - Compound words & personal dictionary
Summary: Compound words & personal dictionary
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dictionaries
  Show dependency treegraph
 
Reported: 2011-08-21 18:34 UTC by Urmas
Modified: 2018-12-13 03:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2011-08-21 18:34:11 UTC
Compound words (including those with -) are not considered correct if some of its parts exist only in custom dictionary.
Comment 1 Björn Michaelsen 2011-12-23 12:32:15 UTC Comment hidden (obsolete)
Comment 2 QA Administrators 2014-06-25 17:38:01 UTC Comment hidden (obsolete)
Comment 3 Urmas 2014-06-29 09:46:42 UTC
Still present in master version.
Comment 4 QA Administrators 2015-07-18 17:42:38 UTC Comment hidden (obsolete)
Comment 5 Paul 2016-02-19 13:16:22 UTC
Confirmed on LO 5.1.0.3, x64 .deb Linux.

Compound (hyphenated) words are flagged as a one word error by the spell checker even when both component words are in the personal dictionary.
Comment 6 QA Administrators 2017-03-06 14:56:01 UTC Comment hidden (obsolete)
Comment 7 Paul 2017-03-06 15:04:07 UTC
> Compound (hyphenated) words are flagged as a one word error by the spell checker even when both component words are in the personal dictionary.


This is still present in LO 5.3.0.3 on Linux x64.
Comment 8 Kruno 2017-04-03 14:42:57 UTC
(In reply to Paul from comment #7)
> > Compound (hyphenated) words are flagged as a one word error by the spell checker even when both component words are in the personal dictionary.
> 
> 
> This is still present in LO 5.3.0.3 on Linux x64.

Think that 'compounded' means 'using flags' and 'aff file'. I don't think flags can be used with personal dictionaries. Think those are two separate lists. Don't think we should expect that compound feature affect personal dictionary.

I'm I wrong about this?
Comment 9 Marco A.G.Pinto 2017-12-12 15:35:08 UTC
In Hunspell dictionaries, if you separate a word with an hyphen, the compound word doesn't appear as a typo if both parts exist in the dictionary.

For example:
1) aaa
2) bbb

If 1) and 2) are in the dictionary, if you write "aaa-bbb" it won't be flagged.

If, however, you have 1) and 2) only in the personal speller and it appears as a typo, then it is probably a LO bug or something that needs to be improved (enhancement request).
Comment 10 QA Administrators 2018-12-13 03:50:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug